## tap-plugins-0.7.0.tar.bz2

=== Makefile ===
#   Copyright (C) 2004 Tom Szilagyi
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   $Id: Makefile,v 1.16 2004/08/13 18:34:31 tszilagyi Exp $


#####################################################################
# PLEASE CHANGE THIS to your preferred installation location!
#
# Change this if you want to install somewhere else. In particular
# you may wish to remove the middle "local/" part of the path.

INSTALL_PLUGINS_DIR	=	/usr/local/lib/ladspa/
INSTALL_LRDF_DIR	=	/usr/local/share/ladspa/rdf/

# NO EDITING below this line is required
# if all you want to do is install and use the plugins.
#####################################################################



# GENERAL

CC		=	gcc
CFLAGS		=	-I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC
LDFLAGS		=	-nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt

PLUGINS		=	tap_autopan.so \
			tap_chorusflanger.so \
			tap_deesser.so \
			tap_dynamics_m.so \
			tap_dynamics_st.so \
			tap_eq.so \
			tap_eqbw.so \
			tap_doubler.so \
			tap_pinknoise.so \
			tap_pitch.so \
			tap_reflector.so \
			tap_reverb.so \
			tap_rotspeak.so \
			tap_limiter.so \
			tap_sigmoid.so \
			tap_echo.so \
			tap_tremolo.so \
			tap_tubewarmth.so \
			tap_vibrato.so


all: $(PLUGINS)

# RULES TO BUILD PLUGINS FROM C CODE

tap_tremolo.so: tap_tremolo.o tap_utils.h ladspa.h

tap_eq.so: tap_eq.o tap_utils.h ladspa.h

tap_eqbw.so: tap_eqbw.o tap_utils.h ladspa.h

tap_echo.so: tap_echo.o tap_utils.h ladspa.h

tap_reverb.so: tap_reverb.o tap_reverb.h tap_reverb_presets.h tap_utils.h ladspa.h

tap_limiter.so: tap_limiter.o tap_utils.h ladspa.h

tap_autopan.so: tap_autopan.o tap_utils.h ladspa.h

tap_deesser.so: tap_deesser.o tap_utils.h ladspa.h

tap_vibrato.so: tap_vibrato.o tap_utils.h ladspa.h

tap_rotspeak.so: tap_rotspeak.o tap_utils.h ladspa.h

tap_pitch.so: tap_pitch.o tap_utils.h ladspa.h

tap_dynamics_m.so: tap_dynamics_m.o tap_dynamics_presets.h tap_utils.h ladspa.h

tap_dynamics_st.so: tap_dynamics_st.o tap_dynamics_presets.h tap_utils.h ladspa.h

tap_reflector.so: tap_reflector.o tap_utils.h ladspa.h

tap_pinknoise.so: tap_pinknoise.o tap_utils.h ladspa.h

tap_doubler.so: tap_doubler.o tap_utils.h ladspa.h

tap_sigmoid.so: tap_sigmoid.o tap_utils.h ladspa.h

tap_tubewarmth.so: tap_tubewarmth.o tap_utils.h ladspa.h

tap_chorusflanger.so: tap_chorusflanger.o tap_utils.h ladspa.h


# OTHER TARGETS

install: targets
	-mkdir -p		$(INSTALL_PLUGINS_DIR)
	cp *.so 		$(INSTALL_PLUGINS_DIR)
	-mkdir -p		$(INSTALL_LRDF_DIR)
	cp tap-plugins.rdf 	$(INSTALL_LRDF_DIR)
	cp tap_reverb.rdf 	$(INSTALL_LRDF_DIR)

targets:	$(PLUGINS)

always:	

clean:
	-rm -f `find . -name "*.so"`
	-rm -f `find . -name "*.o"`
	-rm -f `find .. -name "*~"`

%.o: %.c
	@echo "Compiling $<"
	@$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@ 

%.so: %.o
	@echo "Creating  $@"
	@$(CC) $(LDFLAGS) -o $@ $<

=== debian/changelog ===
tap-plugins (0.7.0-2) unstable; urgency=low

  * Include documentation (Closes: #303230)
  * Revert change to biquad_run function (Closes: #315575)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 31 Oct 2005 18:45:50 +1100

tap-plugins (0.7.0-1) unstable; urgency=low

  * New upstream release (closes: #294086)

 -- Anand Kumria <wildfire@progsoc.org>  Thu, 24 Feb 2005 09:40:13 +1100

tap-plugins (0.6.0-1) unstable; urgency=low

  * Many new upstream releases
  * Documentation removed, it shall return.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 19 Jul 2004 02:32:50 +1000
  

tap-plugins (0.3.0-2) unstable; urgency=low

  * Correct doc-base to point to right file (closes: #232686)
  * Provide virtual package 'ladspa-plugin' so we get recommended
    by more hosts

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 16 Feb 2004 01:38:56 +1100

tap-plugins (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update web-site and email references. Improve description.

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  7 Feb 2004 23:55:05 +1100

tap-plugins (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Use 'mkdir -p' rather than mkdirhier

 -- Anand Kumria <wildfire@progsoc.org>  Wed,  4 Feb 2004 15:05:32 +1100

tap-plugins (0.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 26 Jan 2004 16:51:30 +1100

=== debian/control ===
Source: tap-plugins
Section: sound
Priority: optional
Maintainer: Anand Kumria <wildfire@progsoc.org>
Build-Depends: debhelper (>= 4.0.0), sharutils
Standards-Version: 3.6.2.1

Package: tap-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ladspa-plugin
Description: Tom's Audio Processing LADSPA plugins
 Tom Szilagyi has written a number of plugins for LADSPA
 compatible hosts (e.g. Ardour, GNU Sound and GStreamer).
 .
 The plugins (Equalizer, Reverberator, Stereo Echo, Tremolo,
 Scaling Limiter, AutoPanner and DeEsser) have been written 
 primarily for Ardour but should work well with any LADSPA 
 host.
 .
 Homepage: http://tap-plugins.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# # from having to guess our platform (since we know it already)
# DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
# DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 
	#/usr/bin/docbook-to-man debian/tap-0.1.sgml > tap-0.1.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	# remove any images
	find . -name "*.png" -exec rm '{}' \;
	find . -name "*.gif" -exec rm '{}' \;

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tap-0.1.
	$(MAKE) install INSTALL_PLUGINS_DIR=$(CURDIR)/debian/tap-plugins/usr/lib/ladspa INSTALL_LRDF_DIR=$(CURDIR)/debian/tap-plugins/usr/share/ladspa/rdf
	# decode the images
	cd $(CURDIR)/doc && \
	find . -maxdepth 1 -name "*.b64" -exec uudecode '{}' \; 
	cd $(CURDIR)/doc/ladspa && \
	find . -maxdepth 1 -name "*.b64" -exec uudecode '{}' \; 
	cd $(CURDIR)/doc/reverbed && \
	find . -maxdepth 1 -name "*.b64" -exec uudecode '{}' \;
	cd $(CURDIR)
	# copy docs over
	mkdir -p $(CURDIR)/debian/tap-plugins/usr/share/doc/tap-plugins/html
	cp -r doc/* $(CURDIR)/debian/tap-plugins/usr/share/doc/tap-plugins/html/
	# remove any base64 files
	find $(CURDIR)/debian/tap-plugins/usr/share/doc/tap-plugins/html -name "*.b64" -exec rm '{}' \;


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
